#pragma once
#include "EntityState.h"
extern const int CS_QUOTESTATENAME_TELEPORT;
//´«ËÍÐ§¹û
class CS_QuoteTeleport :
    public EntityState
{
public:
    CS_QuoteTeleport();
    void State() override;
    void SetTeleportOut();
    void SetTeleportIn();
    //´«ËÍ
    float cutoff = 1.0f;
    bool bInOut = false;
    float cutoffSpeed = 0.01f;
};

